0

Установка PHP 5.4 на Debian 8

Добавлено 22.08.2016. Размещено в рубрике О компьютерах

Иногда бывают случаи когда нужно установить старые пакеты такие как PHP 5.4 или Apache 2.2 на новый Debian 8 Jessie, но стандартно эти вещи недоступны. Что бы это сделать нужно немного поизвращаться.

Все ниже перечисленное нужно делать с правами root-а

Шаг №1 — установка ключей
wget http://dotdeb.org/dotdeb.gpg
apt-key add dotdeb.gpg

Шаг №2 — добавление источников
deb http://packages.dotdeb.org/ wheezy all
deb-src http://packages.dotdeb.org/ wheezy all

deb http://ftp.fr.debian.org/debian/ wheezy main
deb-src http://ftp.fr.debian.org/debian/ wheezy main

Шаг №3 — выбор версии пакета
Для этого нужно создать в папке /etc/apt/preferences.d/ файл php5 в который прописать
Package: php*
Pin: release a=oldstable
Pin-Priority: 700

Package: php-*
Pin: release a=oldstable
Pin-Priority: 700

Далее запускаем:
apt-get update
apt-get upgrade
apt-get install php5

После данный манипуляций мы получаем установленный php5.4 в системе.

Аналогичным способом можно установить и apache2.2.

Оставьте свой отзыв




*